FERMI_DIRAC(3)

NAME
PDL::GSLSF::FERMI_DIRAC - PDL interface to GSL Special Functions

DESCRIPTION
This is an interface to the Special Function package present in the GNU Scientific Library. Please note that:

Complete Fermi-Dirac Integrals:

 F_j(x)   := 1/Gamma[j+1] Integral[ t^j /(Exp[t-x] + 1), {t,0,Infinity}]

Incomplete Fermi-Dirac Integrals:

 F_j(x,b) := 1/Gamma[j+1] Integral[ t^j /(Exp[t-x] + 1), {t,b,Infinity}]

SYNOPSIS

Functions

FUNCTIONS

  gsl_sf_fermi_dirac_int
  Signature: (double x(); double [o]y(); double [o]e(); int j)

Complete integral F_j(x) for integer j

  gsl_sf_fermi_dirac_mhalf
  Signature: (double x(); double [o]y(); double [o]e())

Complete integral F_{-1/2}(x)

  gsl_sf_fermi_dirac_half
  Signature: (double x(); double [o]y(); double [o]e())

Complete integral F_{1/2}(x)

  gsl_sf_fermi_dirac_3half
  Signature: (double x(); double [o]y(); double [o]e())

Complete integral F_{3/2}(x)

  gsl_sf_fermi_dirac_inc_0
  Signature: (double x(); double [o]y(); double [o]e(); double b)

Incomplete integral F_0(x,b) = ln(1 + e^(b-x)) - (b-x)

AUTHOR
This file copyright (C) 1999 Christian Pellegrin <chri@infis.univ.trieste.it> All rights reserved. There is no warranty. You are allowed to redistribute this software / documentation under certain conditions. For details, see the file COPYING in the PDL distribution. If this file is separated from the PDL distribution, the copyright notice should be included in the file.

The GSL SF modules were written by G. Jungman.